# Contribution Guidelines
Private Internet Access welcomes community contributions, and are always looking for ways in which to improve. Please take a look at our contribution guidelines, and get involved with the PIA community.

## Bugs and Issues
Have you found a bug? Is our software behaving in an unexpected way? Please check the open issues for duplicates -- perhaps a fix is already in development, or maybe a solution has already been published. If not then please submit a bug report. Note however that GitHub issues are for technical discussions; for technical support please use our [helpdesk](https://www.privateinternetaccess.com/helpdesk/).

## Feature Requests
Feature requests can also be submitted as issues, but please make sure to check for duplicates before submitting a request.

## Working with our Code
* Fork the repository. Make sure to keep your repository synced with the source repo.
* When you are ready to start working on a new feature, cut a new branch from `master` with the prefix `feature/` (e.g. `feature/name-of-feature`).
* Refer to the [README](/README.md) for instructions on how to install and build.

## Making Pull Requests
* Sync the master branch in your fork with the master branch in the source repo.
* Make your pull request from the `feature/` branch in your fork to `master` in the source.
* Use short and concise commit messages.
* If your pull request contains multiple commits or commits that are not meaningful, consider squashing them.

## Contributor Agreement
By submitting any pull request to this project you are agreeing to the terms stated in the [Contributor License Agreement](CLA.md).
