// Copyright (c) 2022 Private Internet Access, Inc.
//
// This file is part of the Private Internet Access Desktop Client.
//
// The Private Internet Access Desktop Client is free software: you can
// redistribute it and/or modify it under the terms of the GNU General Public
// License as published by the Free Software Foundation, either version 3 of
// the License, or (at your option) any later version.
//
// The Private Internet Access Desktop Client is distributed in the hope that
// it will be useful, but WITHOUT ANY WARRANTY; without even the implied
// warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with the Private Internet Access Desktop Client.  If not, see
// <https://www.gnu.org/licenses/>.

#ifndef RESOURCE_H
#define RESOURCE_H

#define IDI_APPICON 101
#define IDB_LOGO 102
#define IDB_MINIMIZE 103
#define IDB_CLOSE 104
#define IDF_FONT 105
#define IDR_UICHARSET 106
#define IDR_UIMIRROR 107
#define IDR_PAYLOAD 1337

#define IDS_WINDOW_TITLE                    2201
#define IDS_SECONDSREMAINING                2202

#define IDS_OK_BUTTON_INSTALL               2301
#define IDS_OK_BUTTON_UNINSTALL             2302
#define IDS_OK_BUTTON_FINISH                2303

#define IDS_CAPTION_PREPARING               2401
#define IDS_CAPTION_READYTOINSTALL          2402
#define IDS_CAPTION_INSTALLING              2403
#define IDS_CAPTION_ABORTING                2404
#define IDS_CAPTION_FINISHINGUP             2405
#define IDS_CAPTION_CLEANINGUP              2406
#define IDS_CAPTION_ROLLINGBACK             2407
#define IDS_CAPTION_FINISHED                2408
#define IDS_CAPTION_ABORTED                 2409
#define IDS_CAPTION_UNPACKING               2420
#define IDS_CAPTION_COPYINGFILES            2421
#define IDS_CAPTION_SHUTTINGDOWNCLIENT      2422
#define IDS_CAPTION_STOPPINGSERVICE         2423
#define IDS_CAPTION_UNREGISTERINGSERVICE    2424
#define IDS_CAPTION_REGISTERINGSERVICE      2425
#define IDS_CAPTION_STARTINGSERVICE         2426
#define IDS_CAPTION_REMOVINGADAPTER         2427
#define IDS_CAPTION_INSTALLINGADAPTER       2428
#define IDS_CAPTION_BACKINGUPFILES          2429
#define IDS_CAPTION_REMOVINGPREVIOUSVERSION 2430
#define IDS_CAPTION_REMOVINGFILES           2431
#define IDS_CAPTION_REMOVINGCALLOUT         2432
#define IDS_CAPTION_UPDATINGCALLOUT         2433

#define IDS_MB_CORRUPTINSTALLATION          2501
#define IDS_MB_CAP_CORRUPTINSTALLATION      2502
#define IDS_MB_FILESREMAINING               2503
#define IDS_MB_CAP_FILESREMAINING           2504
#define IDS_MB_ABORTINSTALLATION            2505
#define IDS_MB_CAP_ABORTINSTALLATION        2506
#define IDS_MB_CAP_ERROR                    2507
#define IDS_MB_REPLACEINSTALLATION          2508
#define IDS_MB_CAP_REPLACEINSTALLATION      2509
#define IDS_MB_UNABLETOREMOVEDIR            2510
#define IDS_MB_PLEASEEXIT                   2511
#define IDS_MB_PROBLEMUNINSTALLING          2512
#define IDS_MB_STILLCLIENTSRUNNING          2513
#define IDS_MB_FAILEDTOSTOPSERVICE          2514
#define IDS_MB_SERVICEREBOOTNEEDED          2515
#define IDS_MB_SERVICEMISSING               2516
#define IDS_MB_SERVICEUNINSTALLFAILED       2517
#define IDS_MB_SERVICEINSTALLFAILED         2518
#define IDS_MB_SERVICEFAILEDTOSTART         2519
#define IDS_MB_ERRORUNINSTALLINGTAPDRIVER   2520
#define IDS_MB_TAPDRIVERDECLINED            2521
#define IDS_MB_TAPDRIVERFAILED              2522
#define IDS_MB_REQUIRESWIN7                 2523
#define IDS_MB_32BITON64BIT                 2524
#define IDS_MB_FAILEDTOGETSHELLFOLDER       2525
#define IDS_MB_OUTOFMEMORY                  2526
#define IDS_MB_PAYLOADDECOMPRESSIONERROR    2527
#define IDS_MB_CORRUPTPAYLOADCRC            2528
#define IDS_MB_UNABLETOCREATEFILE           2529
#define IDS_MB_UNABLETOWRITEFILE            2530
#define IDS_MB_UNABLETOWRITEENTIREFILE      2531
#define IDS_MB_DECOMPRESSORINITERROR        2532
#define IDS_MB_CORRUPTPAYLOADPARAMS         2533
#define IDS_MB_UNABLETOMOVEPATH             2534
#define IDS_MB_UNABLETOCREATEROLLBACKDIR    2535
#define IDS_MB_UNABLETOCREATEDIRECTORY      2536
#define IDS_MB_MISSINGPAYLOAD               2537
#define IDS_MB_CAP_MISSINGPAYLOAD           2538
#define IDS_MB_ERRORUNINSTALLINGCALLOUT     2539
#define IDS_MB_CALLOUTDRIVERFAILED          2540
#define IDS_MB_WIREGUARDINSTALLFAILED       2541
#define IDS_MB_WIREGUARDUNINSTALLFAILED     2542
#define IDS_MB_WINTUNINSTALLFAILED          2543
#define IDS_MB_WINTUNUNINSTALLFAILED        2544
#define IDS_MB_REQUIRESNETWORKING           2545
#define IDS_MB_CAP_INSTALLCOMPLETE          2546
#define IDS_MB_RESTARTTOUSE                 2547
#define IDS_MB_REQUIRESWIN8                 2548

#define IDS_MB_SUFFIX_INSTALL_ABORT         2601
#define IDS_MB_SUFFIX_INSTALL_RETRY         2602
#define IDS_MB_SUFFIX_INSTALL_IGNORE        2603
#define IDS_MB_SUFFIX_INSTALL_RETRYIGNORE   2604
#define IDS_MB_SUFFIX_UNINSTALL_ABORT       2605
#define IDS_MB_SUFFIX_UNINSTALL_RETRY       2606
#define IDS_MB_SUFFIX_UNINSTALL_IGNORE      2607
#define IDS_MB_SUFFIX_UNINSTALL_RETRYIGNORE 2608

#endif // RESOURCE_H
